org.apache.hadoop.mapred.lib.aggregate

## Class ValueHistogram

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.aggregate.ValueHistogram
  - - org.apache.hadoop.mapred.lib.aggregate.ValueHistogram

- All Implemented Interfaces:
    ValueAggregator<String>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class ValueHistogram
      extends ValueHistogram
      implements ValueAggregator<String>

  This class implements a value aggregator that computes the histogram of a sequence of strings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueHistogram()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.aggregate.ValueHistogram

      `addNextValue, getCombinerOutput, getReport, getReportDetails, getReportItems, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregator

      `addNextValue, getCombinerOutput, getReport, reset`

- - ### Constructor Detail

    - #### ValueHistogram

          public ValueHistogram()

Copyright © 2022 Apache Software Foundation. All rights reserved.